%define	name	freeciv
%define version	2.5.3
%define release %mkrel 1

Summary:	FREE CIVilization clone
Summary(de):	Freier Civilization Klon
Summary(pl):	Darmowy klon gry Civilization
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0: 	%{name}-%{version}.tar.xz
Source1:	%{name}.server.wrapper
Source2:	stdsounds2.tar.bz2
Source3:	%{name}.bash-completion.bz2
Source10:	%{name}-client.16.png
Source11:	%{name}-client.32.png
Source12:	%{name}-client.48.png
Source20:	%{name}-server.16.png
Source21:	%{name}-server.32.png
Source22:	%{name}-server.48.png
Patch0:         freeciv-fedora-client-fix-DSO.patch
License:	GPL
Group:		Games/Strategy
BuildRequires:	gtk+2-devel 
BuildRequires:	ncurses-devel 
BuildRequires:	readline-devel
BuildRequires:	desktop-file-utils 
BuildRequires:	%{_lib}lua5.2-devel
BuildRequires:	%{_lib}SDL-devel
BuildRequires:	%{_lib}SDL_mixer1.2-devel
BuildRequires:	%{_lib}pango1.0-devel
BuildRequires:	%{_lib}freetype6-devel
BuildRequires:	%{_lib}cairo-devel
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:	%{_lib}bzip2-devel
BuildRequires:	%{_lib}atk1.0-devel
BuildRequires:	libmagick-devel
BuildRequires:	curl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.freeciv.org/
Obsoletes:  	%name < %version
BuildConflicts:	%{_lib}ggz-gtk-client-devel 
BuildConflicts:	%{_lib}ggz-devel
BuildConflicts:	%{_lib}ggz-client-libs-devel

%description
Freeciv is a multiplayer strategy game, released under the GNU General
Public License. It is generally comparable with Civilization II(r),
published by Microprose(r).

Default configuration uses the Civilization II(r) style Isometric view. If
you prefer classic Civilization(r) 2-d view, invoke the client with
"civclient --tiles trident".

#german
%description -l de
Freeciv ist ein Mehrfachspieler Strategie Spiel, unter der GNU GeneralPublic Lizenz. 
Es ist standardmäßig vergleichbar mit Civilization II®,herrausgegeben von Microprose®.
Die Standardmäßige Ansicht sind im Civilization II® Stil eingestellt . Wenn du die 
klassische Civilization® 2-D Ansicht bevorzugst, dann rufe den Klient mit 
"civclient --tiles trident" auf.


%package	data
Group:		Games/Strategy
Summary:	FREE CIVilization clone - data files
Summary(de):	Freier Civilization Klon - Dateien
Requires:	%{name}-server = %{version}
Obsoletes:  %name < %version

%description	data
Freeciv is a multiplayer strategy game, released under the GNU General
Public License. It is generally comparable with Civilization II(r),
published by Microprose(r).

Default configuration uses the Civilization II(r) style Isometric view. If
you prefer classic Civilization(r) 2-d view, invoke the client with
"civclient --tiles trident".

#german
%description	data -l de
Freeciv ist ein Mehrfachspieler Strategie Spiel, unter der GNU GeneralPublic Lizenz. 
Es ist standardmäßig vergleichbar mit Civilization II®,herrausgegeben von Microprose®.
Die Standardmäßige Ansicht sind im Civilization II® Stil eingestellt . Wenn du die 
klassische Civilization® 2-D Ansicht bevorzugst, dann rufe den Klient mit 
"civclient --tiles trident" auf.
Das Datenpaket für %{name}.


%package  client
Group: Games/Strategy
Summary:  FREE CIVilization clone - client
Summary(de):	Freier Civilization Klon - Client
Provides:	%{name}
Obsoletes:	%{name}
Requires:	%{name}-data = %{version} %{name}-server = %{version}

%description client
This is the graphical client for freeciv

#german
%description client -l de
Der grafischer Client für %{name}.


%package  server
Group: Games/Strategy
Summary:  FREE CIVilization clone - server
Summary(de):	Freier Civilizaton Klon - Server 
Provides:	%{name}
Requires:	%{name}-data = %{version}
Obsoletes:  %name < %version

%description server
This is the server for freeciv.

#german
%description server -l de
Der Server für %{name}.


%prep
%setup -q
%apply_patches
bzcat %{SOURCE3} > %{name}.bash-completion

%build
%configure2_5x \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir} \
    --localedir=%{_datadir}/locale \
    --enable-client=gtk-2.0 \
    --enable-ipv6=yes \
    --enable-sys-lua=yes

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std localedir=%{_datadir}/locale

tar -jxf %{SOURCE2} -C $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}

# icons
install -m644 %{SOURCE10} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}-client.png
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}-client.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}-client.png
install -m644 %{SOURCE20} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}-server.png
install -m644 %{SOURCE21} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}-server.png
install -m644 %{SOURCE22} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}-server.png

# wrapper
mv %{buildroot}%{_gamesbindir}/freeciv-server %{buildroot}%{_gamesbindir}/civserver.real
install -m 755 %{SOURCE1} %{buildroot}%{_gamesbindir}/freeciv-server

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--remove-category="GNOME" \
	--remove-category="Strategy" \
	--add-category="GTK" \
	--add-category="Game;StrategyGame" \
	--add-category="X-MandrivaLinux-MoreApplications-Games-Strategy" \
	--remove-key="StartupNotify" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-server.desktop << EOF
[Desktop Entry]
Name=%{name}-server
Comment=The Free Civilization Clone (server)
Comment[de]= FreeCiv (Server)
Exec=%{_gamesbindir}/freeciv-server
Icon=%{name}-server
Terminal=true
Type=Application
Categories=ConsoleOnly;Game;StrategyGame;X-MandrivaLinux-MoreApplications-Games-Strategy;
Encoding=UTF-8
EOF


install -m644 %{name}.bash-completion -D $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/%{name}

# fix icons locations
mv %{buildroot}%{_gamesdatadir}/icons %{buildroot}%{_datadir}/icons


#remove unneeded
rm -f %{buildroot}%{_libdir}/{*.la,*.a}
# we don't provide those clients
rm -rf %{buildroot}%{_mandir}/man6/%{name}-{gtk3,qt,sdl,xaw}.6

%find_lang %{name}
%find_lang %{name}-nations

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang data -f %{name}-nations.lang
%doc AUTHORS doc/BUGS doc/HOWTOPLAY NEWS doc/README doc/README.AI doc/README.graphics doc/README.rulesets doc/README.sound doc/HACKING
%{_gamesdatadir}/%{name}
%{_sysconfdir}/bash_completion.d/freeciv

%files client
%{_gamesbindir}/%{name}-gtk2
%{_gamesbindir}/%{name}-manual
%{_gamesbindir}/%{name}-mp-gtk2
%doc %{_docdir}/%{name}
%{_mandir}/man6/%{name}-*.6*
%{_datadir}/applications/%{name}-gtk2.desktop
%{_datadir}/applications/%{name}-mp-gtk2.desktop
%{_datadir}/pixmaps/%{name}-client.png
%{_datadir}/appdata/%{name}-gtk2.appdata.xml
%{_datadir}/appdata/%{name}-mp-gtk2.appdata.xml
%{_sysconfdir}/%{name}/database.lua
%{_miconsdir}/%{name}-client.png
%{_iconsdir}/%{name}-client.png
%{_liconsdir}/%{name}-client.png
%{_datadir}/icons/icons/hicolor/*/apps/freeciv-client.png
%{_datadir}/icons/icons/hicolor/*/apps/freeciv-modpack.png

%files server
%{_gamesbindir}/civserver.real
%{_gamesbindir}/%{name}-server
%{_mandir}/man6/%{name}-server.6*
%{_datadir}/applications/%{name}-server.desktop
%{_datadir}/appdata/%{name}-server.appdata.xml
%{_miconsdir}/%{name}-server.png
%{_iconsdir}/%{name}-server.png
%{_liconsdir}/%{name}-server.png
%{_datadir}/icons/icons/hicolor/*/apps/freeciv-server.png

%changelog
* Tue May 10 2016 woodhead <pp> 2.5.3-1pclos2016
- update

* Mon Feb 01 2016 bb <bb> 2.5.2-1pclos2016
- update
- ggz is dead

* Mon Aug 18 2014 ghostbunny <ghostbunny at gmx dot de> 2.4.3-1pclos2014
- 2.4.3
- add BR curl-devel

* Sun Feb 09 2014 ghostbunny <ghostbunny at gmx dot de> 2.4.2-1pclos2014
- 2.4.2

